﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.Threading.Tasks;
using System.Drawing;

namespace MotionTracking
{
    public class ClusterManager
    {
        private SortedList<EdgeData, EdgeCluster> clusters = new SortedList<EdgeData, EdgeCluster>();

        public void AddEdge(EdgeData edge)
        {
            if (clusters.ContainsKey(edge))
            {
                EdgeCluster edgeCluster = clusters[edge];
                edgeCluster.AddEdge(edge);
            }
            else
            {
                EdgeCluster edgeCluster = new EdgeCluster();
                edgeCluster.AddEdge(edge);
                clusters.Add(edge, edgeCluster);
            }
        }

        public SortedList<EdgeData, EdgeCluster> GetClusters()
        {
            return clusters;
        }

        public void ResetClusters()
        {
            clusters.Clear();
        }

    }
}
