﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace MotionTracking
{
    public class MonoChromeEdgeData : EdgeData
    {

        public MonoChromeEdgeData(Color lastPixel, Color nextPixel, int row, int column):base(lastPixel, nextPixel, row, column)
        {
            //this is so that all of these edges are stored in the same bucket
            this.PreEdge = this.PostEdge = Color.Black;
        }

        public override int CompareTo(object obj)
        {
            if (obj.GetType() != this.GetType())
            {
                throw new Exception("cannot compare something that isn't an instance of EdgeData with EdgeData");
            }
            EdgeData compareEdge = (EdgeData)obj;

            if (this.HasEdge == compareEdge.HasEdge)
            {
                return 0;
            }

            //don't care about comparison at this point
            if (this.HasEdge)
            {
                return 1;
            }
            return -1;
            
        }
    }
}
