﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Media.Imaging;
using System.IO;

namespace MotionTracking
{
    public abstract class MotionDetector
    {
        SortedList<EdgeData, EdgeCluster> lastClusters = null;

        public abstract void AnalyzeNextImage(BitmapImage nextBitmapImage);

        //snippet from http://stackoverflow.com/questions/6484357/converting-bitmapimage-to-bitmap-and-vice-versa
        protected Bitmap BitmapImage2Bitmap(BitmapImage bitmapImage)
        {
            using (MemoryStream outStream = new MemoryStream())
            {
                BitmapEncoder enc = new BmpBitmapEncoder();
                enc.Frames.Add(BitmapFrame.Create(bitmapImage));
                enc.Save(outStream);
                System.Drawing.Bitmap bitmap = new System.Drawing.Bitmap(outStream);

                // return bitmap; <-- leads to problems, stream is closed/closing ...
                return new Bitmap(bitmap);
            }
        }

        public Bitmap ResultBitmap { get; set; }

    }

}
